﻿var OMTEMPLATE={
	init: function () {
		$.template("usermessagetemplate",OMTEMPLATE.userMessageTemplate());
		$.template("chatboxtemplate",OMTEMPLATE.chatboxTemplate());
		$.template("addgroupchattemplate",OMTEMPLATE.addGroupChatTemplate());
		$.template("grouptemplate",OMTEMPLATE.groupTemplate());
		$.template("usertemplate",OMTEMPLATE.userTemplate());
		$.template("chatwindowusertemplate",OMTEMPLATE.chatWindowUserTemplate());
		$.template("otherwindowtemplate",OMTEMPLATE.otherWindowTemplate());
		$.template("groupchatwindowusertemplate",OMTEMPLATE.groupChatWindowUserTemplate());
		$.template("otherwindowusertemplate",OMTEMPLATE.otherWindowUserTemplate());
		$.template("loadingmessagetemplate",OMTEMPLATE.showLoadingTemplate());
	}
	,showLoadingTemplate: function () {
		var html="";
		html+='<div id="OMLoading" class="ui-loader ui-body-a ui-corner-all" style="top: 189.5px;display:block;">';
		html+='<span class="ui-icon ui-icon-loading spin"></span><h1>${Message}</h1>';
		html+='</div>';
		return html;
	}
	,otherWindowUserTemplate: function () {
		var html="";
		html+='<li type="${Type}">';
		html+='<a href="#${id}">';
		html+='<h3>';
		html+='${Name}';
		html+='</h3>';
		html+='</a>';
		html+='</li>';
		return html;
	}
	,groupChatWindowUserTemplate: function () {
		var html="";
		html+='<li type="groupchats">';
		html+='<a href="#${gcid}">';
		html+='<img src="images/group_50x50.png" />';
		html+='<h3>';
		html+='Group Chat';
		html+='</h3>';
		html+='{{html getNewMsgHtml(gcid)}}';
		html+='</a>';
		html+='</li>';
		return html;
	}
	,otherWindowTemplate: function () {
		var html="";
		html+='<div class="chat-window" isnewmessage="false" isclose="false" type="${Mode}" fromname="${WEBACTION.getDisplayName(FromName)}" id="other-window-${Index}" data-role="page">';
		html+='<div data-role="header" data-position="fixed" data-fullscreen="true" data-theme="b">';
		html+='<a href="#OM" data-theme="a">Back</a>';
		html+='<h1>${Title}</h1>';
		html+='<a href="javascript:WEBACTION.openCW();" style="display: none" class="ui-btn-right cwcnt" id="cwcnt"><span class="ui-li-count"></span></a>';
		html+='</div>';
		html+='<div data-role="content">';
		html+='{{if Title!="Offline Message"}}';
		html+='<p><b>From&nbsp;:&nbsp;${WEBACTION.getDisplayName(FromName)}</b></p>';
		html+='{{/if}}';
		html+='{{if ReceivedDate!=""}}';
		html+='<p><b>Received Date&nbsp;:&nbsp;${ReceivedDate}</b></p>';
		html+='{{/if}}';
		html+='{{if Subject!=""}}';
		html+='<p><b>Subject&nbsp;:&nbsp;${Subject}</b></p>';
		html+='{{/if}}';
		html+='<p>';
		html+='{{html formatMessage(Message)}}';
		html+='</p>';
		html+='<p><a href="javascript:WEBACTION.closeOW(${Index});" data-role="button" data-theme="b">Close</a></p>	';
		html+='</div>';
		html+='</div>';
		return html;
	}
	,chatWindowUserTemplate: function () {
		var html="";
		html+='<li type="users">';
		html+='<a {{if GroupName!="Offline Users"}}href="#chat-window-${Index}?index=${Index}"{{else}}href="#"{{/if}}>';
		html+='<img src="images/{{if Gender=="" || Gender =="0" || Gender == "M"}}male_big.gif{{else}}female_big.gif{{/if}}" />';
		html+='<h3>';
		html+='${DisplayName}{{if UserStatus!=""}}&nbsp;(${UserStatus})&nbsp;{{/if}}';
		html+='</h3>';
		html+='<p class="pstatus" userkey="${UserKey}">';
		html+='{{if PersonalStatus!=""}}&nbsp;-&nbsp;${PersonalStatus}{{/if}}';
		html+='</p>';
		html+="{{html getNewMsgHtml('chat-window-'+Index)}}";
		html+='</a>';
		html+='</li>';
		return html;
	}
	,userTemplate: function () {
		var html="";
		html+='<li class="user_detail {{if GroupName!="Offline Users"}}is_draggable{{/if}}" liuserkey="${UserKey}" usergroupname="${GroupName.toLowerCase()}">';
		html+='<a {{if GroupName!="Offline Users"}}href="#chat-window-${Index}?index=${Index}"{{else}}';
		html+="href=javascript:WEBACTION.openOffWindow('${UserKey}');{{/if}}>";
		html+='<img src="images/{{if Gender=="" || Gender =="0" || Gender == "M"}}male_big.gif{{else}}female_big.gif{{/if}}" />';
		html+='<h3 {{if GroupName=="Offline Users"}}class="offline-user"{{/if}}>';
		html+='${DisplayName}{{if UserStatus!=""}}&nbsp;(${UserStatus})&nbsp;{{/if}}';
		html+='</h3>';
		html+='<p class="pstatus" userkey="${UserKey}">';
		html+='{{if PersonalStatus!=""}}${PersonalStatus}{{/if}}';
		html+='</p>';
		html+='</a>';
		html+='</li>';
		return html;
	}
	,groupTemplate: function () {
		var html="";
		html+='<li ishide="false" onclick="javascript:WEBACTION.hideGroup(this);" {{if GroupName=="Offline Users"}} id="offlinedivider"{{/if}}';
		html+='data-role="list-divider" gcname="${GroupName.toLowerCase()}" class="group {{if GroupName=="Offline Users"}}offline{{/if}}"';
		html+='{{if GroupName=="Offline Users"}} data-theme="f"{{/if}}>';
		html+='<span class="ui-icon ui-icon-arrow-d ui-icon-shadow"></span>${GroupName}<span class="ui-li-count"></span>';
		html+='</li>';
		return html;
	}
	,userMessageTemplate: function () {
		var html="";
		html+="{{if AppendUserKey==true}}"
		html+='<div class="sender">';
		html+="{{if FromName==WEBACTION.UserKey}}"
		html+='<span class="msgme">Me</span>';
		html+="{{else}}";
		html+='<span class="msguser">${DisplayName}</span>';
		html+="{{/if}}";
		html+='<span class="time">${getTime(false)}</span>';
		html+="</div>";
		html+="{{/if}}";
		html+='<div class="msg" msguserkey="${FromName}" isnew="true">';
		html+="{{html formatMessage(Message)}}";
		html+="</div>";
		html+='<input type="hidden" name="hdntmcnt" id="hdntmcnt" value="0" />';
		return html;
	}
	,chatboxTemplate: function () {
		var html="";
		html+="{{if IsGC==false}}";
		html+='<div class="chat-window" id="chat-window-${Index}" cwindex="${Index}" style="overflow:auto;overflow-x:hidden;"  gcwkey="" type="users" fromname="" data-role="page" isnewmessage="false" isclose="false" data-content-theme="d">';
		html+='{{else}}';
		html+='<div class="chat-window group-chat" id="group-chat-window-${Index}" cwindex="" gcwkey="${UserKey}" style="overflow:auto;overflow-x:hidden;" type="gcusers" fromname="" data-role="page" isnewmessage="false" isclose="false" data-content-theme="d">';
		html+='{{/if}}';
		html+='<div data-role="header" data-fullscreen="true" data-theme="b">';
		html+='<a href="#OM" data-icon="arrow-l" data-theme="a">Back</a>';
		html+='<h1>';
		html+='${DisplayName}</h1>';
		html+='<a href="javascript:WEBACTION.openCW();" style="display: none" class="ui-btn-right cwcnt" id="cwcnt" ischatwindow="true"><span class="ui-li-count"></span></a>';
		html+='</div>';
		html+='{{if IsGC==true}}';
		html+='<div class="users-list-bar" data-role="navbar" data-iconpos="left">';
		html+='<ul>';
		html+='<li><a href=javascript:WEBACTION.addGC("group-chat-window-${Index}","","adduser",""); id="gcusernames">${WEBACTION.getDisplayName(WEBACTION.UserKey)}';
		html+='{{each(j,g) GroupUsers}}';
		html+=',${g.DisplayName}';
		html+='{{/each}}';
		html+='</a>';
		html+='</li>';
		html+='</ul>';
		html+='</div>';
		html+='{{/if}}';

		html+='<div data-role="content">';
		html+='<input type="hidden" name="sessionkey" value="${WEBACTION.EncKey}" />';
		html+='<input type="hidden" name="type" value="{{if IsGC==false}}${LSTYPE.Chat}{{else}}${LSTYPE.SendGCMessage}{{/if}}" />';
		html+='{{if IsGC==false}}';
		html+='<input type="hidden" name="touser" value="${UserKey}" />';
		html+='{{else}}';
		html+='<input type="hidden" name="gckey" value="${UserKey}" />';
		html+='{{/if}}';
		html+='<div class="msg-container"></div>';
		html+='</div>';

		html+='<div id="cwfooter" data-id="cwfooter" class="footer-docs" data-theme="c" data-fullscreen="true" class="ui-grid-a">';
		html+='<input type="text" name="message" id="message" data-theme="d" />';
		html+='<div data-role="navbar">';
		html+='<ul>';
		html+='<li>';
		html+='<select name="options" id="options" data-native-menu="false" data-theme="a">';
		html+='<option value="">Options</option>';
		html+='{{if IsGC==false}}';
		html+='<option value="groupchat">Group Chat</option>';
		html+='{{else}}';
		html+='<option value="adduser">Add User</option>';
		html+='<option value="removeuser">Remove User</option>';
		html+='{{/if}}';
		html+='<option value="close">Close</option>';
		html+='</select>';
		html+='</li>';
		html+='<li>';
		html+='<button onclick="javascript:WEBACTION.send(this);" data-role="button" data-theme="b" value="Send"></button>';
		html+='</li>';
		html+='</ul>';
		html+='</div>';
		html+='</div>';

		html+='</div>';
		return html;
	}
	,addGroupChatTemplate: function () {
		var html="";
		html+='<div id="addgroupchat_${Index}" class="addgcwindow" data-role="page">';

		html+='<div data-role="header" data-position="fixed" data-fullscreen="true" data-theme="b">';
		html+="<a href=javascript:WEBACTION.backToCW('${Back}'); data-icon='arrow-l' data-theme='a'>Back</a>";
		html+='<h1>OM - {{if Mode=="adduser"}}Add User{{else}}Remove User{{/if}} To Group Chat</h1>';
		html+="<a href=javascript:WEBACTION.openCW();' style='display: none' class='ui-btn-right cwcnt' id='cwcnt'><span class='ui-li-count'></span></a>";
		html+='</div>';

		html+='<div data-role="content">';
		html+='<p>';
		html+='<ul id="userlist" data-role="listview" data-filter="true" data-filter-placeholder="Search..." >';
		html+='{{if Groups.length>0}}';
		html+='{{each(j,g) Groups}}';
		html+='<li>';
		html+='<input type="checkbox" name="checkbox-ga-${j}" data-theme="b" id="checkbox-ga-${j}" class="custom" value="${g.GroupName}" {{if g.IsChecked==true}}checked{{/if}} onclick="javascript:WEBACTION.selectGC(this);" />';
		html+='<label for="checkbox-ga-${j}" data-theme="b">${g.GroupName}</label>';
		html+='</li>';
		html+='{{each(i,u) Users}}';
		html+='{{if u.GroupName==g.GroupName}}';
		html+='<li>';
		html+='<input type="checkbox" name="checkbox-1a-${i}" id="checkbox-1a-${i}" gname="${u.GroupName}" value="${u.UserKey}" {{if u.IsChecked==true}}checked{{/if}} />';
		html+='<label class="gc-user" for="checkbox-1a-${i}">${u.DisplayName}</label>';
		html+='</li>';
		html+='{{/if}}';
		html+='{{/each}}';
		html+='{{/each}}';
		html+='{{/if}}';
		html+='</ul>';
		html+='</p>';
		html+='<input type="hidden" name="mode" value="${Mode}" />';
		html+='</div>';

		html+='<div data-role="footer" data-position="fixed">';

		html+='<div data-role="navbar">';

		html+='<ul>';

		html+='<li>';
		html+='{{if Mode=="adduser" || Mode=="removeuser"}}';
		html+="<a href=javascript:WEBACTION.updateGC('addgroupchat_${Index}','${Back}'); class='ui-btn-active ui-state-persist'>OK</a>";
		html+='{{else}}';
		html+="<a href=javascript:WEBACTION.createGC('addgroupchat_${Index}'); class='ui-btn-active ui-state-persist'>OK</a>";
		html+='{{/if}}';
		html+='</li>';

		html+='<li>';
		html+="<a id='cancel' href=javascript:WEBACTION.backToCW('${Back}');>Cancel</a>";
		html+='</li>';

		html+='</ul>';

		html+='</div>';

		html+='</div>';


		html+='</div>';
		return html;
	}
}